org.richfaces.ui.attribute

## Interface LinkProps

- All Superinterfaces:
    DisabledProps, EventsKeyProps, EventsMouseProps
  All Known Implementing Classes:
    AbstractCommandLink, UICommandLink

      public interface LinkProps
      extends DisabledProps, EventsMouseProps, EventsKeyProps

  Interface defining the methods for link-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharset()` The character encoding of the resource designated by this hyperlink.
    `String` | `getCoords()` The position and shape of the hot spot on the screen (for use in client-side image maps).
    `String` | `getHreflang()` The language code of the resource designated by this hyperlink.
    `String` | `getRel()` The relationship from the current document to the anchor specified by this hyperlink.
    `String` | `getRev()` A reverse link from the anchor specified by this hyperlink to the current document.
    `String` | `getShape()` The shape of the hot spot on the screen (for use in client-side image maps).
    `String` | `getTarget()` Name of a frame where the resource retrieved via this hyperlink is to be displayed.
    `String` | `getType()` The content type of the resource designated by this hyperlink.

    - ### Methods inherited from interface org.richfaces.ui.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface org.richfaces.ui.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.ui.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

- - ### Method Detail

    - #### getCharset

          String getCharset()

      The character encoding of the resource designated by this hyperlink.

    - #### getCoords

          String getCoords()

      The position and shape of the hot spot on the screen (for use in client-side image maps).

    - #### getHreflang

          String getHreflang()

      The language code of the resource designated by this hyperlink.

    - #### getRel

          String getRel()

      The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types.

    - #### getRev

          String getRev()

      A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types.

    - #### getShape

          String getShape()

      The shape of the hot spot on the screen (for use in client-side image maps). Valid values are: default (entire region); rect (rectangular region); circle (circular region); and poly (polygonal region).

    - #### getTarget

          String getTarget()

      Name of a frame where the resource retrieved via this hyperlink is to be displayed.

    - #### getType

          String getType()

      The content type of the resource designated by this hyperlink.

Copyright © 2014 JBoss by Red Hat. All rights reserved.